Get the members of a department

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/departments/{department_id}/persons

Get the persons of a department, sorted by name. An administrator gets all the fields of each person. Other users get the minimal fields. Clients cannot use this route.

Path parameters

  • department_id string(uuid) Required

    Unique identifier of the department

Responses

  • 200 application/json

    The list of persons

    Hide response attributes Show response attributes object
    • id string(uuid)

      Person unique identifier

    • first_name string

      Person first name

    • last_name string

      Person last name

    • departments array[string(uuid)]

      Departments the person belongs to

  • 400

    The identifier is not a valid UUID

  • 403

    You are a client

  • 404

    The department does not exist

GET /data/departments/{department_id}/persons
curl \
 --request GET '/api/data/departments/a24a6ea4-ce75-4665-a070-57453082c250/persons' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "first_name": "John",
    "last_name": "Doe",
    "departments": [
      "b35b7fb5-df86-5776-b181-68564193d360"
    ]
  }
]